{% extends "common.html" %} 
{% block content %}
{% load custom_tags %}

<table border="1" class="table table-striped table-bordered table-sm">
  <thead class="thead-dark">
    <tr>
      <th>Student ID</th>
      <th>Student Name</th>
      <th>Student Email</th>
      <th>Student Password</th>
      <th>Actions</th>
    </tr>
  </thead>
  <tbody>
    {% if students %} 
    {% for student in students %}
    <tr>
      <td>{{ student.id }}</td>
      <td>{{ student.name|newString}}</td>
      <td>{{ student.email }}</td>
      <td>{{ student.password }}</td>
      <td>
        <a href="/edit/{{ student.id }}"
          ><span class="glyphicon glyphicon-pencil">Edit</span></a
        >
        <a href="/delete/{{ student.id }}"
          ><span class="glyphicon glyphicon-pencil">Delete</span></a
        >
      </td>
    </tr>
    {% endfor %} {% else %}
    <tr>
      <td colspan="5" align="center">No Record Found</td>
    </tr>
    {% endif %}
  </tbody>
</table>
<br />
<br />
<center><a href="/add" class="btn btn-primary">Add New Record</a></center>
{% endblock content %}
